<template>
  <div id="teacher_lecture_new_wrapper" v-if="isManage === false" class="bt-container">
    <!--뒤로가기 추가-->
     <div style="display:inline; float: right; margin-top:45px">
      <a href="javascript:history.back();">
        <el-button size="small">{{ $t('ITEM_FROM_BANK.BACK') }}</el-button>
      </a>
    </div>    
    <h2 class="page-title">
      {{ $t('LECTURE_LIST.ADD_LECTURE') }}    
    </h2>
   
    <el-form @submit.native.prevent :model="input" ref="elForm" label-width="125px" style="max-width: 800px;">

      <el-form-item :label="$t('LECTURE.TITLE')">
        <el-input v-model="input.title"  class="lecture-title"></el-input>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.TYPE')">
        <el-radio-group v-model.number="input.type">
          <el-radio :label="0">{{ $t('LECTURE.TYPE_PRESENT') }}</el-radio>
          <el-radio :label="1">{{ $t('LECTURE.TYPE_GROUP') }}</el-radio>
          <el-radio :label="2">{{ $t('LECTURE.TYPE_INDI') }}</el-radio>
          <el-radio :label="4">{{ $t('LECTURE.TYPE_DISC') }}</el-radio> <!-- 소그룹방 -->
          <el-radio :label="5">{{ $t('LECTURE.TYPE_MEETING') }}</el-radio> <!-- 회의방 -->
        </el-radio-group>
        <el-popover
          style="position: relative; left: 30px; top: 3px;"
          placement="top-start"
          width="400"
          trigger="hover">
          <el-table :data="notice">
            <el-table-column width="100" prop="title" :label="$t('LECTURE_LIST.TYPE')"></el-table-column>
            <el-table-column width="290" prop="content" :label="$t('TEACHER_CLASS.CONTENT')"></el-table-column>
          </el-table>
          <i class="el-icon-question fa-lg" slot="reference"></i>
        </el-popover>
      </el-form-item>

      <!-- [회의방] 체크 -->
      <!-- 정규방 or 임시방 -->
      <!-- <el-form-item :label="$t('SGROUP.TYPE')" v-if="input.type === 5">
        <el-radio-group v-model.number="input.meetingroomtype">
          <el-radio :label="0">{{ $t('SGROUP.REG') }}</el-radio>
          <el-radio :label="1">{{ $t('SGROUP.TEMP') }}</el-radio>          
        </el-radio-group>
      </el-form-item> -->
      <!-- 최대인원 -->
      <el-form-item :label="$t('SGROUP.MAX')" v-if="input.type === 5">
          <el-input v-model="input.num" type="number" min=1 max=100></el-input>
      </el-form-item>
      <!-- 비밀번호 -->      
      <el-form-item :label="$t('SGROUP.PASSWORD')" v-if="input.type === 5">
        <el-input v-model="input.password"></el-input>
      </el-form-item> 

      <el-form-item :label="$t('LECTURE.GROUP_AMG')" v-if="input.type === 2">
        <el-radio-group v-model.number="input.groupMove">
          <el-radio :label="0">{{ $t('LECTURE.COMP_DIS') }}</el-radio>
          <!--<el-radio :label="1">{{ $t('LECTURE.SELC_DIS') }}</el-radio>-->
          <el-radio :label="2">{{ $t('LECTURE.APPV') }}</el-radio>
        </el-radio-group>
      </el-form-item>

      <el-form-item :label="$t('LECTURE_LIST.LECTURE_DATE')" v-if="input.type === 1">
        <el-date-picker
          v-model="input.lcStartDate"
          type="datetime"  class="lecture-startDate" @change="changeLectureDate"
        ></el-date-picker>
      </el-form-item>

      <el-form-item :label="$t('LECTURE_LIST.LECTURE_TIME')" v-if="input.type === 1">
        <el-time-picker
          @change="changeLectureDate"
          v-model="input.lcStartDate"
          type="datetime"  class="lecture-startDate"
        ></el-time-picker>
         ~
        <el-time-picker
          @change="changeLectureDate"
          v-model="input.lcEndDate"
          type="datetime"  class="lecture-endDate"
        ></el-time-picker>
      </el-form-item>

      <el-form-item :label="$t('LECTURE_LIST.LECTURE_ACT_DATE')" v-if="input.type === 2">
        <el-date-picker
          v-model="input.lcStartDate"
          type="datetime"  class="lecture-startDate"
        ></el-date-picker>
         ~
        <el-date-picker
          v-model="input.lcEndDate"
          type="datetime" class="lecture-endDate"
        ></el-date-picker>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.LIVE_TYPE')" v-if="input.type === 0">
        <el-radio-group v-model.number="input.liveType">
          <el-radio :label="2">{{ $t('LECTURE.NOT_USE') }}</el-radio>
          <el-radio :label="0">{{ $t('LECTURE.YOUTUBE') }}</el-radio>
          <el-radio :label="1">{{ $t('LECTURE.TEACHING') }}</el-radio>
        </el-radio-group>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.PROGRAMMING')" v-if="input.type !== 5">
        <el-radio-group v-model.number="input.programming">
          <el-radio :label="1">{{ $t('LECTURE.NO') }}</el-radio>
          <el-radio :label="0">{{ $t('LECTURE.YES') }}</el-radio>
        </el-radio-group>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.RESULT_STATUS')" v-if="input.type !== 5">
        <el-switch v-model="input.open" :active-text="$t('LECTURE.OPEN')" :inactive-text="$t('LECTURE.CLOSED')">
        </el-switch>
        <el-popover
          style="position: relative; left: 30px; top: 3px;"
          placement="top-start"
          width="400"
          trigger="hover">
          <el-table :data="notice2">
            <el-table-column width="100" prop="title" :label="$t('LECTURE_LIST.TYPE')"></el-table-column>
            <el-table-column width="290" prop="content" :label="$t('TEACHER_CLASS.CONTENT')"></el-table-column>
          </el-table>
          <i class="el-icon-question fa-lg" slot="reference"></i>
        </el-popover>
      </el-form-item>

      <el-form-item>
        <el-button
          type="primary"
          @click="onSubmit" class="putLecture-btn"
        >
          <div class="putLecture-btn-layer">
            {{ isManage ? $t('LECTURE.INFO_EDIT') : $t('LECTURE_LIST.ADD_LECTURE') }}
          </div>
        </el-button>
      </el-form-item>
    </el-form>
  </div>
  <div id="teacher_lecture_new_wrapper" v-else>
    <h3> {{ $t('LECTURE_LIST.EDIT_LECTURE') }} </h3>
    <el-form @submit.native.prevent :model="input" ref="elForm" label-width="125px" style="max-width: 800px;">

      <el-form-item :label="$t('LECTURE.TITLE')">
        <el-input v-model="input.title"  class="lecture-title"></el-input>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.TYPE')">
        <el-radio-group v-model.number="input.type">
          <el-radio :label="0">{{ $t('LECTURE.TYPE_PRESENT') }}</el-radio>
          <el-radio :label="1">{{ $t('LECTURE.TYPE_GROUP') }}</el-radio>
          <el-radio :label="2">{{ $t('LECTURE.TYPE_INDI') }}</el-radio>
          <el-radio :label="4">{{ $t('LECTURE.TYPE_DISC') }}</el-radio> <!-- 소그룹방 -->
          <!-- TODO. 세션 타입 수정 할 때 [회의실] 수정 필요 -->
          <!-- <el-radio :label="5">{{ $t('LECTURE.TYPE_MEETING') }}</el-radio> 회의방 -->
        </el-radio-group>
        <el-popover
          style="position: relative; left: 30px; top: 3px;"
          placement="top-start"
          width="400"
          trigger="hover">
          <el-table :data="notice">
            <el-table-column width="100" prop="title" :label="$t('LECTURE_LIST.TYPE')"></el-table-column>
            <el-table-column width="290" prop="content" :label="$t('TEACHER_CLASS.CONTENT')"></el-table-column>
          </el-table>
          <i class="el-icon-question fa-lg" slot="reference"></i>
        </el-popover>
      </el-form-item>

      <!-- TODO. 세션 타입 수정 할 때 [회의실] 수정 필요 -->
      <!-- <el-form-item :label="$t('SGROUP.MAX')" v-if="input.type === 5">
        <el-input v-model="input.num" type="number" min=1 max=100></el-input>
      </el-form-item>
      <el-form-item :label="$t('SGROUP.PASSWORD')" v-if="input.type === 5">
        <el-input v-model="input.password"></el-input>
      </el-form-item> -->
      
      <el-form-item :label="$t('LECTURE.GROUP_AMG')" v-if="input.type === 2">
        <el-radio-group v-model.number="input.groupMove">
          <el-radio :label="0">{{ $t('LECTURE.COMP_DIS') }}</el-radio>
          <!--<el-radio :label="1">{{ $t('LECTURE.SELC_DIS') }}</el-radio>-->
          <el-radio :label="2">{{ $t('LECTURE.APPV') }}</el-radio>
        </el-radio-group>
      </el-form-item>

      <el-form-item :label="$t('LECTURE_LIST.LECTURE_DATE')" v-if="input.type === 1">
        <el-date-picker
          v-model="input.lcStartDate"
          type="datetime"  class="lecture-startDate" @change="changeLectureDate"
        ></el-date-picker>
      </el-form-item>

      <el-form-item :label="$t('LECTURE_LIST.LECTURE_TIME')" v-if="input.type === 1">
        <el-time-picker
          @change="changeLectureDate"
          v-model="input.lcStartDate"
          type="datetime"  class="lecture-startDate"
        ></el-time-picker>
         ~
        <el-time-picker
          @change="changeLectureDate"
          v-model="input.lcEndDate"
          type="datetime"  class="lecture-endDate"
        ></el-time-picker>
      </el-form-item>

      <el-form-item :label="$t('LECTURE_LIST.LECTURE_ACT_DATE')" v-if="input.type === 2">
        <el-date-picker
          v-model="input.lcStartDate"
          type="datetime"  class="lecture-startDate"
        ></el-date-picker>
         ~
        <el-date-picker
          v-model="input.lcEndDate"
          type="datetime" class="lecture-endDate"
        ></el-date-picker>
      </el-form-item>
      
      <el-form-item :label="$t('LECTURE.LIVE_TYPE')" v-if="input.type === 0">
        <el-radio-group v-model.number="input.liveType">
          <el-radio :label="2">{{ $t('LECTURE.NOT_USE') }}</el-radio>
          <el-radio :label="0">{{ $t('LECTURE.YOUTUBE') }}</el-radio>
          <el-radio :label="1">{{ $t('LECTURE.TEACHING') }}</el-radio>
        </el-radio-group>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.PROGRAMMING')" v-if="input.type !== 5">
        <el-radio-group v-model.number="input.programming">
          <el-radio :label="1">{{ $t('LECTURE.NO') }}</el-radio>
          <el-radio :label="0">{{ $t('LECTURE.YES') }}</el-radio>
        </el-radio-group>
      </el-form-item>

      <el-form-item :label="$t('LECTURE.RESULT_STATUS')" v-if="input.type !== 5">
        <el-switch v-model="input.open" :active-text="$t('LECTURE.OPEN')" :inactive-text="$t('LECTURE.CLOSED')">
        </el-switch>
        <el-popover
          style="position: relative; left: 30px; top: 3px;"
          placement="top-start"
          width="400"
          trigger="hover">
          <el-table :data="notice2">
            <el-table-column width="100" prop="title" :label="$t('LECTURE_LIST.TYPE')"></el-table-column>
            <el-table-column width="290" prop="content" :label="$t('TEACHER_CLASS.CONTENT')"></el-table-column>
          </el-table>
          <i class="el-icon-question fa-lg" slot="reference"></i>
        </el-popover>
      </el-form-item>

      <el-form-item>
        <el-button
          type="primary"
          @click="onSubmit" class="putLecture-btn"
        >
          <div class="putLecture-btn-layer">
            {{ isManage ? $t('LECTURE.INFO_EDIT') : $t('LECTURE_LIST.ADD_LECTURE') }}
          </div>
        </el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import deepCopy from 'deep-copy';
import lectureService from '../../services/lectureService';
import lectureItemService from '../../services/lectureItemService';
import authService from '../../services/authService';
import utils from '../../utils';
import _ from 'lodash';

export default {
  name: 'TeacherLectureNew',
  async created() {
    const vm = this;
    // 학생이 url로 접근하는 경우 방지
    const accessId = utils.getUserIdFromJwt();
    const accessCheck = await authService.returnUserInfo({
      userID: accessId,
    });
    if (accessCheck.data.userInfo.type === 0) {
      vm.$router.push({ name: 'LandingPage' });
    }
  },
  data() {
    const initialInput = {
      title: '',
      type: 0,
      lcStartDate: new Date(),
      lcEndDate: new Date(),
      open: false,
      groupMove: 0,
      liveType: 2,
      programming: 1,
      meetingroomtype: 5,   // 세션생성 -> 회의방 생성시 type 값
      password: '',      
    };
    return {
      initialInput,
      input: Object.assign({}, initialInput), // 복사해서 넣음
      notice: [{
        title: this.$t('LECTURE.TYPE_PRESENT'),
        content: this.$t('HELP.LECTURE1'),
      }, {
        title: this.$t('LECTURE.TYPE_GROUP'),
        content: this.$t('HELP.LECTURE2'),
      }, {
        title: this.$t('LECTURE.TYPE_INDI'),
        content: this.$t('HELP.LECTURE3'),
      }],
      notice2: [{
        title: this.$t('LECTURE.CLOSED'),
        content: this.$t('HELP.LECTURE4'),
      }, {
        title: this.$t('LECTURE.OPEN'),
        content: this.$t('HELP.LECTURE5'),
      }],
      originInput: Object.assign({}, initialInput),
      initialStartDate: new Date(),
      initialEndDate: new Date(),
    };
    
  },
  async mounted() {
    const vm = this;

    if (vm.isManage) {
      // TODO: 그리고 onSubmit 마지막에 updateLecture null 조져주기
      const groupMove = await lectureService.getLectureGroupMove({ lectureId: vm.lectureId });
      const liveType = await lectureService.getLectureLiveType({ lectureId: vm.lectureId });
      const programming = await lectureService.getLectureProgramming({ lectureId: vm.lectureId });
      vm.input.title = vm.lecture.name || vm.initialInput.title;
      vm.input.type = vm.lecture.type === 3 ? 2 : (vm.lecture.type || vm.initialInput.type);
      vm.input.groupMove = groupMove.data.result[0] && groupMove.data.result[0].move_id;
      vm.input.liveType = _.isEmpty(liveType.data.result) ? 2 : liveType.data.result[0].type;
      vm.input.programming = _.isEmpty(programming.data.result) ? 1 : programming.data.result[0].type;
      vm.input.lcStartDate = new Date(vm.lecture.start_time) || vm.initialInput.lcStartDate;
      vm.input.lcEndDate = new Date(vm.lecture.end_time) || vm.initialInput.lcEndDate;
      vm.input.open = vm.lecture.result_opened;
      vm.originInput = deepCopy(vm.input);
      vm.initialStartDate = vm.input.lcStartDate;
      vm.initialEndDate = vm.input.lcEndDate;
    } 
  },
  methods: {
    ...mapActions('lc', [
      'getLecture',
    ]),
    // 세션 추가 버튼 눌렀을 때 이벤트 발생
    onSubmit() {
      const vm = this;
  
      if (vm.input.type < 2 && vm.input.type > 3) {
        vm.changeLectureDate();
      }

      vm.$refs.elForm.validate(async (/* valid, fields */) => {
        // TODO: if valid === true 로 감싸기
        // TODO: valid === false 인 경우 notify
        const classId = vm.$route.query.classId;

        if (vm.isManage) { // 강의 정보 수정일 경우

          if (vm.input.type !== vm.originInput.type
          || vm.input.groupMove !== vm.originInput.groupMove
          || vm.input.liveType !== vm.originInput.liveType
          || vm.input.programming !== vm.originInput.programming) { // 강의 타입이 변경되었을 경우
            // 확인 안내문 출력
            vm.$confirm(vm.$t('CONFIRM.WANT_CL_ITEM_GROUP'), vm.$t('CONFIRM.EDIT_LEC_INFO'), {
              confirmButtonText: vm.$t('ITEM.EDIT'),
              cancelButtonText: vm.$t('ITEM.CANCEL'),
              type: 'warning',
            }).then(() => {
              if (vm.input.lcStartDate > vm.input.lcEndDate && vm.lecture.type !== 0) {
                vm.input.lcStartDate = vm.initialStartDate;
                vm.input.lcEndDate = vm.initialEndDate;
                vm.$notify({
                  title: vm.$t('NOTIFY.SRT_TIME_ERR'),
                  message: vm.$t('NOTIFY.RST_TIME'),
                  type: 'error',
                });
                return;
              } else {
                vm.initialStartDate = vm.input.lcStartDate;
                vm.initialEndDate = vm.input.lcEndDate;
              }
              try {
                lectureService.putLecture({
                  lecture_id: vm.lectureId,
                  type: vm.input.type,
                  name: vm.input.title,
                  start_time: vm.input.lcStartDate,
                  end_time: vm.input.lcEndDate,
                });
                lectureService.putLectureGroupMove({
                  lectureId: vm.lectureId,
                  moveId: vm.input.groupMove,
                });
                lectureService.putLectureLiveType({
                  lectureId: vm.lectureId,
                  type: vm.input.liveType,
                });
                lectureService.putLectureProgramming({
                  lectureId: vm.lectureId,
                  type: vm.input.programming,
                });
              } catch (err) {
                console.error(err);
              }
              // 결과 공개 설정 수정 190503
              let result_open;
              if (vm.input.open === false) {
                result_open = 0; // 비공개
              } else {
                result_open = 1; // 공개
              }
              lectureService.changeResultOpen({
                lectureId: vm.lectureId,
                result: result_open,
              });
              // then 뒤에 await 불가능해서 별도의 외부 함수로 구현
              vm.deleteAllGroup();
              return; // eslint-disable-line
            }).catch(() => { // eslint-disable-line
              vm.$notify({
                title: vm.$t('NOTIFY.FAIL_EDIT_LEC'),
                message: vm.$t('NOTIFY.CAN_LEC_EDIT'),
                type: 'warning',
              });
              return; // eslint-disable-line
            });
          } else { // 강의 타입이 변경되지 않았으면
            if (vm.input.lcStartDate > vm.input.lcEndDate && vm.lecture.type !== 0) {
              vm.input.lcStartDate = vm.initialStartDate;
              vm.input.lcEndDate = vm.initialEndDate;
              vm.$notify({
                title: vm.$t('NOTIFY.SRT_TIME_ERR'),
                message: vm.$t('NOTIFY.RST_TIME'),
                type: 'error',
              });
              return;
            } else {
              vm.initialStartDate = vm.input.lcStartDate;
              vm.initialEndDate = vm.input.lcEndDate;
            }

            lectureService.putLecture({
              lecture_id: vm.lectureId,
              type: vm.input.type === 2 ? (vm.input.type + (vm.input.groupMove ? 1 : 0)) : vm.input.type,
              name: vm.input.title,
              start_time: vm.input.lcStartDate,
              end_time: vm.input.lcEndDate,
            });
            // 결과 공개 설정 수정 190503
            let result_open;
            if (vm.input.open === false) {
              result_open = 0; // 비공개
            } else {
              result_open = 1; // 공개
            }
            lectureService.changeResultOpen({
              lectureId: vm.lectureId,
              result: result_open,
            });
            vm.$notify({
              title: vm.$t('NOTIFY.SUC_EDIT_LEC'),
              message: vm.$t('NOTIFY.SUC_EDIT_LEC_MES'),
              type: 'success',
            });
            vm.$router.go(-1);
            return; // eslint-disable-line
          }
        } else {
          if (vm.input.lcStartDate > vm.input.lcEndDate && vm.lecture.type !== 0) {
            vm.input.lcStartDate = vm.initialStartDate;
            vm.input.lcEndDate = vm.initialEndDate;
            vm.$notify({
              title: vm.$t('NOTIFY.SRT_TIME_ERR'),
              message: vm.$t('NOTIFY.RST_TIME'),
              type: 'error',
            });
            return;
          } else {
            vm.initialStartDate = vm.input.lcStartDate;
            vm.initialEndDate = vm.input.lcEndDate;
          }
          try {
            // 신규 세션 등록
            const lectures = await lectureService.postLecture({
              classId,
              type: vm.input.groupMove === 1 ? vm.input.type + 1 : vm.input.type,
              name: vm.input.title,
              start_time: vm.input.lcStartDate,
              end_time: vm.input.lcEndDate,
            });            
            let result_open;
            if (vm.input.open === false) {
              result_open = 0; // 비공개
            } else {
              result_open = 1; // 공개
            }
            const lId = lectures.data.lecture.lecture_id;
            await lectureService.changeResultOpen({
              lectureId: lId,
              result: result_open,
            });
            await lectureService.postLectureGroupMove({
              lectureId: lId,
              moveId: vm.input.groupMove,
            });
            await lectureService.postLectureLiveType({
              lectureId: lId,
              type: vm.input.liveType,
            });
            await lectureService.postLectureProgramming({
              lectureId: lId,
              type: vm.input.programming,
            });
            vm.$notify({
              title: vm.$t('NOTIFY.SUC_CRE_LEC'),
              message: vm.$t('NOTIFY.SUC_CRE_LEC_MES'),
              type: 'success',
            });
            vm.$router.go(-1);
            // 2021-04-07 세션추가 -> [회의방]으로 개설 시 인원, PW에 해당하는 회의방을 만든다.
            if (vm.input.type === 5) {
              // [회의방]으로 개설 시 type을 [소그룹방]에서 개설할때외 구분해줘야 한다.
              // lectures.data.lecture.lecture_id를 회의방 id와 일치시킨다.              
              await lectureService.postSmallMeetingRoom({
                classId,
                type: vm.input.meetingroomtype,
                name: vm.input.title,
                max_occupancy: vm.input.num,
                password: vm.input.password,
                lectureId: lId,
              }); 
            }
          } catch (error) {
            vm.$notify({
              title: vm.$t('NOTIFY.FAIL_CRE_LEC'),
              message: error.toString(),
              type: 'error',
              duration: 0,
            });
          }
        }
      });
    },


    // 무인 단체의 경우 시작 날짜와 종료 날짜 동일하게 변경하는 함수
    changeLectureDate() {
      const vm = this;
      const date = vm.input.lcStartDate.getDate();
      const month = vm.input.lcStartDate.getMonth();
      const fullYear = vm.input.lcStartDate.getFullYear();
      vm.input.lcEndDate.setDate(date);
      vm.input.lcEndDate.setMonth(month);
      vm.input.lcEndDate.setFullYear(fullYear);
    },

    async deleteAllGroup() {
      const vm = this;
      // 강의 수정할 경우 아이템 그룹 전부 해제
      const group = await lectureItemService.showGroup({
        lectureId: vm.lectureId,
      });
      group.data.list.forEach((x) => {
        lectureItemService.deleteGroup({
          groupId: x.group_id,
        });
      });
      // 공개 비공개 여부 변경
      let result_open;
      if (vm.input.open === false) {
        result_open = 0; // 비공개
      } else {
        result_open = 1; // 공개
      }
      await lectureService.changeResultOpen({
        lectureId: vm.lectureId,
        result: result_open,
      });
      vm.$notify({
        title: vm.$t('NOTIFY.SUC_EDIT_LEC'),
        message: vm.$t('NOTIFY.SUC_EDIT_LEC_MES'),
        type: 'success',
      });
      vm.$router.go(-1); // 새로고침
    },
  },
  computed: {
    ...mapState('lc', [
      'lecture',
    ]),
    isManage() {
      const vm = this;
      return vm.$route.fullPath.includes('/manage');
    },
    lectureId() {
      const vm = this;
      return vm.$route.params.lectureId;
    },
  },
};
</script>

<style lang="scss" scoped>
#teacher_lecture_new_wrapper {
 .bt_container{
    margin-top : 40px;
    margin-bottom : 25px;
 }

  .page-title{
      height: 24px;
      width: 100%;
      font-family: SpoqaHanSans;
      font-size: 25px;
      font-weight: bold;
      font-style: normal;
      font-stretch: normal;
      line-height: 1.2;
      letter-spacing: normal;
      color: #000000;

      margin-top : 40px;
      margin-left : 12px;
      margin-bottom : 25px;
  }


  .lecture-title{
    width: 300px;
    height: 40px;
    border-radius: 4px;
    background-color: #ffffff;
    border: solid 1px #dcdfe6;
    font-family: AppleSDGothicNeo;
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #909399;
  }

  .lecture-startDate{
    width: 140px;
    height: 40px;
    border-radius: 4px;
    background-color: #ffffff;
    border: solid 1px #d8dce6;

    font-family: AppleSDGothicNeo;
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #909399;
  }

  .lecture-endDate{
    width: 140px;
    height: 40px;
    border-radius: 4px;
    background-color: #ffffff;
    border: solid 1px #d8dce6;

    font-family: AppleSDGothicNeo;
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #909399;
  }
  .putLecture-btn{
    width: 300px;
    height: 40px;
    border-radius: 3px;
    background-color: #1989fa;
  }

  .putLecture-btn-layer{
    font-family: SpoqaHanSans;
    font-size: 12px;
    font-weight: bold;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: normal;
    text-align: center;
    color: #ffffff;
  }
}
</style>